<div class="card">
    <div class="card-header border-bottom">
        <h4 class="card-title">Détails du profil</h4>
    </div>
    <div class="card-body py-2 my-25">
        <div *ngIf="isLoading; else notLoadingBlock" class="d-flex justify-content-center">
            <div class="spinner-border text-primary" role="status">
    
            </div>
        </div>
        <ng-template #notLoadingBlock>
            <!-- header section -->
            <div class="d-flex">
                <a href="#" class="me-25">
                    <img src="{{imageUrl ? imageUrl : getDefaultAvatarUrl()}}" id="account-upload-img" class="uploadedAvatar rounded me-50" alt="profile image" height="100" width="100"  />
                </a>
                <!-- upload and reset button -->
                <div class="d-flex align-items-end mt-75 ms-1">
                    <div>
                        <label for="account-upload" class="btn btn-sm btn-primary mb-75 me-75">Modifier</label>
                        <input type="file" id="account-upload" hidden accept="image/*"  (change)="onImageSelected($event)"/>
                        <button type="button" id="account-reset" class="btn btn-sm btn-outline-secondary mb-75" (click)="resetImage()">Réinitialiser</button>
                        <p class="mb-0"></p>
                        <!-- <p class="mb-0">Allowed file types: png, jpg, jpeg.</p> -->
                    </div>
                </div>
                <!--/ upload and reset button -->
            </div>
            <!--/ header section -->

            <!-- form -->
            <form class="validate-form mt-2 pt-50" [formGroup]="form" (ngSubmit)="submit()">
                <div class="row">
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="accountLastName">Nom</label>
                        <input type="text" class="form-control" id="accountLastName" formControlName="lastName" placeholder="Doe" value="Doe" data-msg="Please enter last name" />
                    </div>
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="accountFirstName">Prénom(s)</label>
                        <input type="text" class="form-control" id="accountFirstName" formControlName="firstName" placeholder="John" value="John" data-msg="Please enter first name" />
                    </div>
                    
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="accountEmail">Adresse email</label>
                        <input type="email" class="form-control" id="accountEmail" formControlName="email" placeholder="Email" value="johndoe@gmail.com" />
                    </div>
                    
                    <div class="col-12">
                        <app-gen-button (genClick)="submit()" [text]="'Enregistrer les modifications'" [customClass]="'mt-1 me-1'" [disabled]="!form.valid" [isLoading]="isSubmitLoading"></app-gen-button>
                        <!-- <button type="submit" class="btn btn-primary "></button> -->
                        <!-- <button type="reset" class="btn btn-outline-secondary mt-1">Discard</button> -->
                    </div>
                </div>
            </form>
            <!--/ form -->
        </ng-template>
    </div>
</div>
